Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81708 - Kernel Bug at page_alloc.c
Summary: Kernel Bug at page_alloc.c
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-13 04:10 UTC by Need Real Name
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-25 04:32:08 UTC


Attachments (Terms of Use)
Kernel system log (deleted)
2003-01-13 04:14 UTC, Need Real Name
no flags Details

Description Need Real Name 2003-01-13 04:10:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
Just switching tasks from gnome desktop yielded the following error:

Jan 12 20:47:39 f1j kernel: ------------[ cut here ]------------
Jan 12 20:47:39 f1j kernel: kernel BUG at page_alloc.c:131!
Jan 12 20:47:39 f1j kernel: invalid operand: 0000
Jan 12 20:47:39 f1j kernel: ide-cd cdrom radeon agpgart emu10k1 ac97_codec sound
soundcore autofs tg3 iptable_filter ip_tables loop lvm-mod keybdev mousedev hid
input usb-uhci ehci-hcd u
Jan 12 20:47:39 f1j kernel: CPU:    0
Jan 12 20:47:39 f1j kernel: EIP:    0060:[<c013c77b>]    Not tainted
Jan 12 20:47:39 f1j kernel: EFLAGS: 00013202
Jan 12 20:47:39 f1j kernel: 
Jan 12 20:47:39 f1j kernel: EIP is at __free_pages_ok [kernel] 0xeb (2.4.20-2.12)
Jan 12 20:47:39 f1j kernel: eax: 01000050   ebx: c18b1118   ecx: c1000030   edx:
27cdc008
Jan 12 20:47:39 f1j kernel: esi: 00000000   edi: 00000000   ebp: 00000000   esp:
ed3c5e18
Jan 12 20:47:39 f1j kernel: ds: 0068   es: 0068   ss: 0068
Jan 12 20:47:39 f1j kernel: Process X (pid: 1031, stackpage=ed3c5000)
Jan 12 20:47:39 f1j kernel: Stack: c03097e0 00000002 c0309a44 c187b648 ea162e20
e94ae64c 00100000 c0130c60 
Jan 12 20:47:39 f1j su(pam_unix)[1360]: session closed for user root
Jan 12 20:47:39 f1j kernel:        ea162d78 00000004 000a7000 e94ae650 00100000
27bbb067 c012f310 c18b1118 
Jan 12 20:47:39 f1j kernel:        ed3c5e6c c0119423 c2e6f1dc 000000a8 08c00000
ed3c608c 089ed000 00000000 
Jan 12 20:47:39 f1j kernel: Call Trace:   [<c0130c60>] set_page_dirty [kernel]
0x60 (0xed3c5e34))
Jan 12 20:47:39 f1j kernel: [<c012f310>] zap_pte_range [kernel] 0x110 (0xed3c5e50))
Jan 12 20:47:39 f1j kernel: [<c0119423>] sys_sched_yield [kernel] 0x73 (0xed3c5e5c))
Jan 12 20:47:39 f1j kernel: [<c012d62b>] zap_page_range [kernel] 0xbb (0xed3c5e78))
Jan 12 20:47:39 f1j kernel: [<c01308ef>] exit_mmap [kernel] 0xbf (0xed3c5eb4))
Jan 12 20:47:39 f1j kernel: [<c0119e6a>] mmput [kernel] 0x4a (0xed3c5ed8))
Jan 12 20:47:39 f1j kernel: [<c011f379>] do_exit [kernel] 0xf9 (0xed3c5ee8))
Jan 12 20:47:39 f1j kernel: [<c0125ecc>] sig_exit [kernel] 0x4c (0xed3c5f04))
Jan 12 20:47:39 f1j kernel: [<c0109424>] do_signal [kernel] 0x1b4 (0xed3c5f14))
Jan 12 20:47:39 f1j kernel: [<c0127591>] sys_tkill [kernel] 0x81 (0xed3c5f28))
Jan 12 20:47:39 f1j kernel: [<c0145b75>] fput [kernel] 0xd5 (0xed3c5f70))
Jan 12 20:47:39 f1j kernel: [<c0127148>] sys_rt_sigprocmask [kernel] 0xc8
(0xed3c5f84))
Jan 12 20:47:39 f1j kernel: [<c0109760>] signal_return [kernel] 0x14 (0xed3c5fc0))
Jan 12 20:47:39 f1j kernel: 
Jan 12 20:47:39 f1j kernel: 
Jan 12 20:47:39 f1j kernel: Code: 0f 0b 83 00 d4 c9 25 c0 8b 43 18 89 f9 89 de
83 e0 eb 89 43 
Jan 12 20:47:39 f1j gdm(pam_unix)[1030]: session closed for user fxj
Jan 12 20:47:40 f1j gdm[1030]: gdm_slave_xioerror_handler: Fatal X error -
Restarting :0
Jan 12 20:47:41 f1j gdm[1547]: gdm_slave_xioerror_handler: Fatal X error -
Restarting :0
Jan 12 20:47:43 f1j gdm[1549]: gdm_slave_xioerror_handler: Fatal X error -
Restarting :0
Jan 12 20:47:48 f1j gdm[1551]: gdm_slave_xioerror_handler: Fatal X error -
Restarting :0
Jan 12 20:47:53 f1j gdm[1553]: gdm_slave_xioerror_handler: Fatal X error -
Restarting :0
Jan 12 20:47:53 f1j gdm[987]: deal_with_x_crashes: Running the XKeepsCrashing script

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Several non intensive apps running
2. Move mouse to next app

    

Actual Results:  Crash

Expected Results:  Other running app should become active window

Additional info:

Comment 1 Need Real Name 2003-01-13 04:14:26 UTC
Created attachment 89329 [details]
Kernel system log


Note You need to log in before you can comment on or make changes to this bug.